package com.xisc.pm.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class MmApiResponsVO implements Serializable {
    private static final long serialVersionUID = -713774218397881464L;

    private boolean flag;
    private String message;

    public static MmApiResponsVO success(String message) {
        return new MmApiResponsVO(true, message);
    }

    public static MmApiResponsVO fail(String message) {
        return new MmApiResponsVO(false, message);
    }

}
